<mat-card class="example-card p-0 -m-6">
    <mat-card-header class="bg-green-300 justify-between">
        <button mat-icon-button mat-dialog-close class="-mt-2 text-end">
            <mat-icon>close</mat-icon>
        </button>
        <mat-card-title class="pl-4 font-bold text-xl mb-2">แก้ไขข้อมูลผู้ป่วย {{title}}{{first_name}} {{last_name}}</mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <!-- patient Info -->
        <mat-dialog-content class="text">
            <!-- 
            <span class="text-sm">ชื่อ-สกุล</span>
            <div class="flex flex-row flex-wrap">
                <mat-form-field class="w-1/8 mx-2">
                    <input matInput placeholder="คำนำหน้า" [(ngModel)]="title">
                </mat-form-field>
                <mat-form-field class="w-1/3 mx-2">
                    <input matInput placeholder="ชื่อ" [(ngModel)]="first_name">
                </mat-form-field>
                <mat-form-field class="w-1/3 mx-2">
                    <input matInput placeholder="สกุล" [(ngModel)]="last_name">
                </mat-form-field>
            </div>
            <div class="flex flex-col flex-wrap">
                <span class="text-sm">เลขบัตรประชาชน</span>
                <mat-form-field class="w-1/2 mx-2">
                    <input matInput placeholder="อายุ" [(ngModel)]="cid">
                </mat-form-field>
            </div>
            <div class="flex flex-col flex-wrap">
                <span class="text-sm">เพศ</span>
                <mat-radio-group [(ngModel)]="gender_name" class="flex flex-row flex-wrap">
                    <mat-radio-button value="ชาย">ชาย</mat-radio-button>
                    <mat-radio-button value="หญิง">หญิง</mat-radio-button>
                </mat-radio-group>
            </div>
        -->
            <span class="text-sm">ที่อยู่</span>
            <div class="flex flex-row flex-wrap">
                <mat-form-field class="w-full mx-2">
                    <input matInput placeholder="บ้านเลขที่" [(ngModel)]="house_no">
                </mat-form-field>
                <mat-form-field class="w-1/2 px-2">
                    <!-- select province -->
                    <mat-select placeholder="จังหวัด" [(ngModel)]="provinceCode" (selectionChange)="getAmphur($event)">
                        <mat-option *ngFor="let province of listProvince" [value]="province.code">
                            {{province.name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field class="w-1/2 px-2">
                    <!-- select amphur -->
                    <mat-select placeholder="อำเภอ" [(ngModel)]="amphurCode" (selectionChange)="getTambon($event)">
                        <mat-option *ngFor="let amphur of filterAmpur" [value]="amphur.code">
                            {{amphur.name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field class="w-1/2 px-2">
                    <!-- select tambon -->
                    <mat-select placeholder="ตำบล" [(ngModel)]="tambonCode" (selectionChange)="getMooban($event)">
                        <mat-option *ngFor="let tambon of filterTambon" [value]="tambon.code">
                            {{tambon.name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field class="w-1/2 px-2">
                    <!-- select mooban -->
                    <mat-select placeholder="หมู่บ้าน" [(ngModel)]="moobanCode" (selectionChange)="saveMooban($event)">
                        <mat-option *ngFor="let mooban of filterMooban" [value]="mooban.code">
                            {{mooban.name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="flex flex-col flex-wrap">
                <span class="text-sm">เบอร์โทร</span>
                <mat-form-field class="w-full mx-2">
                    <input matInput placeholder="เบอร์โทร" [(ngModel)]="phone_number">
                </mat-form-field>
            </div>


        </mat-dialog-content>
    </mat-card-content>
    <mat-card-actions class="bg-slate-300 justify-center">
        <!-- <button mat-button>LIKE</button> -->
        <!-- <button mat-button>SHARE</button> -->
        <mat-dialog-actions>
            <button mat-raised-button [mat-dialog-close]="" color="primary"
                (click)="saveAndClose()">บันทึก</button>
            <button mat-raised-button [mat-dialog-close]="" color="warn">ยกเลิก</button>
        </mat-dialog-actions>
    </mat-card-actions>
</mat-card>